v1.0.0
OpenAPI 3.1.0

Delete a segment

US region

Client Libraries

Delete a segment

​

Delete a manual segment. You can't delete a data-driven or snapshot segment with this request. You also can't delete a manual segment used in another segment, an automation, an unsent one-time send, or a SQL import.

Path Parameters
  • segment_id
    Type: integer Format: int32
    required

    The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API.

Responses
  • 204

    The segment is deleted.

  • 404

    The segment_id does not exist.

  • 422

    Customer.io can't delete the segment. This may be because it's a data-driven or snapshot segment, or because something else in your workspace uses it.

  • application/json
Request Example for delete/v1/segments/{segment_id}
curl https://api.customer.io/v1/segments/1 \
  --request DELETE \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body